%define piname	weather_routing_pi
%global ocpnlibscommit0 3d56fe895583c06e66679ce76f66e781dfa740e0

Name:		opencpn-weather-routing-plugin
Summary:	Weather routing plugin for OpenCpn
Version:	1.15.21.25
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/weatherroute.html
Source0:	https://github.com/rgleason/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-3d56fe8-tinyxml.patch
Patch1:     opencpn-libs-3d56fe8-json.patch
Patch2:     weather_routing-plugin-1.15.25-Configure.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	portaudio-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin creates optimized weather routes using isochrone method and
predictive grib data or averaged gridded Climate data based upon constraint
settings, start and finish information and boat performance calculated using
boat specs or polar data.

Use the Grib Plugin (included now with opencpn) and recently downloaded grib
files for completing grib predictive routing (1-8 days).

Use the Climatology Plugin to find cruising routes, (most useful in prevailing
winds areas)

Use both grib and climatology data, allowing the grib's route to be extended
past time/range, or to use current data if the grib does not contain it, or to
use climatology to avoid areas of cyclones.

%prep
%setup -a1 -n %{piname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1

mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake 

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Sun Apr 13 2025 philippedidier <philippedidier> 1.15.21.25-1.mga10
+ Revision: 2175406
- new version 1.15.21.25
- last improvements about polars and route drawing

* Sun Mar 30 2025 philippedidier <philippedidier> 1.15.21.22-1.mga10
+ Revision: 2171634
- version 1.15.21.22 built on new opencpnlibs
- lots of improvements about winds grib display_precision

* Fri Jan 31 2025 philippedidier <philippedidier> 1.15.21.0-1.mga10
+ Revision: 2143958
- new version 1.15.21.0 based on last opencpn-libs

* Mon Jun 24 2024 philippedidier <philippedidier> 1.15.18.6-1.mga10
+ Revision: 2076400
- new version 1.15.18.6

* Thu Jan 11 2024 philippedidier <philippedidier> 1.15.18.0-1.mga10
+ Revision: 2029711
- new version 1.15.18.0

* Tue May 30 2023 philippedidier <philippedidier> 1.14.0.0-1.mga9
+ Revision: 1959956
- new version 1.14.0.0 built upon wxgtku 3.2

* Sat Feb 25 2023 philippedidier <philippedidier> 1.13.51-1.mga9
+ Revision: 1945404
- New version 1.13.51 : improve translations increase list of sailboats polar files

* Sun Jul 10 2022 philippedidier <philippedidier> 1.13.48.0-1.mga9
+ Revision: 1868283
- New version 1.13.48.0

* Sun Apr 03 2022 umeabot <umeabot> 1.13.22.0-3.mga9
+ Revision: 1842500
- Mageia 9 Mass Rebuild

* Mon Jul 12 2021 barjac <barjac> 1.13.22.0-2.mga9
+ Revision: 1735766
- Build with wxgtku3.0 not 3.1

* Mon Jun 21 2021 barjac <barjac> 1.13.22.0-1.mga9
+ Revision: 1731622
- new version 1.13.22.0
- use upstream tarball
- remove patch not needed
- remove sed not needed
- Thanks to Philippe Didier

* Fri Jan 01 2021 wally <wally> 1.13.9.1-2.mga8
+ Revision: 1667721
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Sep 20 2020 barjac <barjac> 1.13.9.1-1.mga8
+ Revision: 1629002
- new version 1.13.9.1
- patch to use pkgconfig for gtk3 in cmake
- add git BR

* Sun Aug 16 2020 wally <wally> 1.13.7.1-2.mga8
+ Revision: 1614362
- rebuild for new wxgtk 3.1.4

* Wed Jul 08 2020 barjac <barjac> 1.13.7.1-1.mga8
+ Revision: 1603180
- new version 1.13.7.1
- patch CMakeLists.txt to fix build
- fix path to lang files
- use autosetup

* Tue Feb 18 2020 daviddavid <daviddavid> 1.13.1-2.mga8
+ Revision: 1539509
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Nov 11 2019 barjac <barjac> 1.13.1-1.mga8
+ Revision: 1459319
- new version 1.13.1

* Sat Jul 13 2019 wally <wally> 1.13.0-2.mga8
+ Revision: 1421025
- rebuild with gtk3 enabled wxgtk 3.1.2

* Mon Feb 18 2019 barjac <barjac> 1.13.0-1.mga7
+ Revision: 1368290
- new version 1.13.0

* Sun Sep 23 2018 umeabot <umeabot> 1.12.1-3.mga7
+ Revision: 1300003
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 wally <wally> 1.12.1-2.mga7
+ Revision: 1244929
- fix plugin install dir on x84_64 and aarch64

* Tue Jun 19 2018 barjac <barjac> 1.12.1-1.mga7
+ Revision: 1238221
- new version 1.12.1

* Thu Apr 12 2018 barjac <barjac> 1.12.0-1.mga7
+ Revision: 1217696
- new version 1.12.0

* Thu Dec 28 2017 barjac <barjac> 1.11.0-1.mga7
+ Revision: 1186605
- new version 1.11.0
- dont own %%{_libdir}/opencpn

* Sat Jun 03 2017 akien <akien> 1.10.1-2.mga6
+ Revision: 1106119
- Rebuild for wxgtk 3.0.3.1

* Mon Aug 01 2016 barjac <barjac> 1.10.1-1.mga6
+ Revision: 1044184
- new version 1.10.1

* Thu Jun 02 2016 barjac <barjac> 1.8.3-2.mga6
+ Revision: 1020018
- rebuild for wxgtk3.0 built with GTK2
- revert previous update - use make_build
- new version 1.10

* Tue May 10 2016 barjac <barjac> 1.8.3-1.mga6
+ Revision: 1011992
- new version 1.8.3

* Tue Feb 16 2016 barjac <barjac> 1.8.2-2.mga6
+ Revision: 962360
- changed buildrequire wxgtku3.0

* Tue Feb 09 2016 barjac <barjac> 1.8.2-1.mga6
+ Revision: 951003
- new version 1.8.2

* Tue Dec 08 2015 barjac <barjac> 1.8-1.mga6
+ Revision: 908794
- new package opencpn-weather-routing-plugin

